<template>
  <div class="modalWindow fixed flex flex-center row">
    <div class="modalDialog absolute col-5 bg-white font-raleway q-px-xl q-pb-xl q-pt-lg">
      <div class="font-raleway text-body1 text-grey-5 absolute-top-right q-pr-md q-pt-md cursor-pointer" @click="$emit('closeModalLogin')"><img src="../statics/images/exit.png"></div>
      <div class="q-mb-sm q-mt-md q-ml-lg text-body1 font-regular spacing text-uppercase">E-mail</div>
      <div class="q-mx-lg">
        <q-input v-model="user.email" rounded outlined dense />
      </div>
      <div class="q-mb-sm q-mt-md q-ml-lg text-body1 font-regular spacing text-uppercase">Пароль</div>
      <div class="q-mx-lg">
        <q-input v-model="user.password" rounded outlined dense type="password"/>
      </div>
      <div class="column q-mx-lg" @click="$emit('closeModalLogin')"><q-btn flat class="q-my-lg bg-teal-12 text-black text-body1 q-px-xl font-regular roundBtn" label="Войти" @click="log"/></div>
      <div class="row justify-center cursor-pointer text-body1 font-regular" @click="$emit('openModalRegister')">Зарегистрироваться</div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  name: 'ModalLogin',
  data () {
    return {
      user: {
        email: null,
        password: null
      }
    }
  },
  methods: {
    ...mapActions({
      login: 'auth/auth/login'
    }),
    log () {
      if (this.user.email === 'agof@yandex.ru' && this.user.password === '12345') {
        this.$router.push({ name: 'profile.page', params: { id: '2' } })
        this.login()
      }
    }
  }
}
</script>

<style scoped lang="sass">
  .modalWindow
    top: 0
    left: 0
    right: 0
    bottom: 0
    z-index: 2000
    background-color: rgba(0, 0, 0, 0.6)

    .modalDialog
      heigth: auto
      border-radius: 15px

    .roundBtn
      border-radius: 30px
</style>
